show
GET
/waypoint/{id}
Shows a single waypoint.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Waypoint Id
Example
6vcudpc4wgc0ckkQuery Parameters
Section titled “Query Parameters ” expand
string
Expand a foreign key column (https://pocketbase.io/docs/working-with-relations/#expanding-relations).
requestKey
string
Unique request key. Prevents auto cancel when sending multiple requests.
Responses
Section titled “ Responses ”object
author
required
string
collectionId
required
string
collectionName
required
string
created
required
string
description
required
string
icon
required
string
id
required
string
lat
required
number
lon
required
number
name
required
string
photos
required
Array<string>
updated
required
string
Example
{ "author": "3mugf953w4a9fg5", "collectionId": "goeo2ubp103rzp9", "collectionName": "waypoints", "created": "2024-11-09 10:33:45.943Z", "description": "", "icon": "circle", "id": "035691efaa5cf0a", "lat": 47.71415538, "lon": 11.98004365, "name": "Kesselalm (1275 m)", "photos": [], "updated": "2024-11-09 10:33:45.943Z"}object
message
required
string
details
required
Array<object>
object
code
string
minimum
integer
type
string
inclusive
boolean
exact
boolean
message
string
path
Array<string>
Example
{ "message": "invalid_params", "details": [ { "code": "too_small", "minimum": 15, "type": "string", "inclusive": true, "exact": true, "message": "String must contain exactly 15 character(s)", "path": [ "id" ] } ]}object
message
required
string
detail
required
object
code
required
integer
message
required
string
data
required
object
Example
{ "message": "The requested resource wasn't found.", "detail": { "code": 404, "message": "The requested resource wasn't found.", "data": {} }}